Get Exposure
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/exposures/{exposureId} \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/exposures/{exposureId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/exposures/{exposureId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440200",
"name": "John Smith",
"entityType": "individual",
"policyIds": [
"550e8400-e29b-41d4-a716-446655440100"
],
"createdAt": "2025-01-15T10:30:00.000Z"
}Exposures
Get Exposure
Returns a single exposure by ID.
Required permission: company.insured:read
GET
/
api
/
external
/
companies
/
{companyId}
/
exposures
/
{exposureId}
Get Exposure
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Exposure identifier
Response
Exposure details
An insured entity in list responses
Insured identifier
Insured name
Entity type (individual, organization, etc.)
IDs of policies associated with this insured
When the insured was created
When the insured was last updated
Was this page helpful?
⌘I
